Name:             cdi-api
Version:          1.2
Release:          10
Summary:          API for CDI
License:          ASL 2.0
URL:              http://seamframework.org/Weld
BuildArch:        noarch

Source0:          https://github.com/jakartaee/cdi/archive/refs/tags/%{version}.tar.gz

BuildRequires:    maven-local asciidoc python3-pygments mvn(org.testng:testng::jdk15:)
BuildRequires:    mvn(javax.el:javax.el-api) mvn(javax.inject:javax.inject)
BuildRequires:    mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:    mvn(org.apache.maven.plugins:maven-enforcer-plugin)
BuildRequires:    mvn(org.apache.maven.surefire:surefire-testng)
BuildRequires:    mvn(org.codehaus.mojo:build-helper-maven-plugin)
BuildRequires:    mvn(org.jboss.spec.javax.interceptor:jboss-interceptors-api_1.2_spec)
BuildRequires:    mvn(org.jboss.weld:weld-parent:pom:)

%description
Contexts and Dependency Injection for Java EE which is called APIs for JSR-299.

%package help
Summary:          Help document for cdi-api package
Provides:         %{name}-javadoc = %{version}-%{release}
Obsoletes:        %{name}-javadoc < %{version}-%{release}

%description help
Help document for cdi-api package.

%prep
%autosetup -n cdi-%{version} -p1

cd api
%mvn_file :{cdi-api} %{name}/@1 javax.enterprise.inject/@1

%pom_change_dep "javax.interceptor:javax.interceptor-api" "org.\
jboss.spec.javax.interceptor:jboss-interceptors-api_1.2_spec"

%build

(
 cd api
 %mvn_build -- -Denforcer.skip
)

cd spec/src/main/doc
asciidoc -n -b html5 -a toc2 -a toclevels=3 -a pygments -f html5.conf -o cdi-spec.html cdi-spec.asciidoc
asciidoc -n -b html5 -a toc2 -a toclevels=3 -a pygments -f html5.conf -o license-asl2.html license-asl2.asciidoc
asciidoc -n -b html5 -a toc2 -a toclevels=3 -a pygments -f html5.conf -o license-jcp.html license-jcp.asciidoc

%install
cd api
%mvn_install

%files -f api/.mfiles
%doc spec/src/main/doc/cdi-spec.html
%license spec/src/main/doc/{license-asl2.html,license-jcp.html}

%files help -f api/.mfiles-javadoc

%changelog
* Wed Nov 16 2022 yaoxin <yaoxin30@h-partners.com> - 1.2-10
- Modify invalid Source

* Tue Dec 3 2019 wutao <wutao61@huawei.com> - 1.2-9
- Package init
